unit uStaticDiffForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uStaticDiff, GR32_Image, GR32, GR32_Layers;

type
  TStaticDiffForm = class(TForm)
    Image: TImage32;
    procedure FormShow(Sender: TObject);
    procedure ImageMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer; Layer: TCustomLayer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  StaticDiffForm: TStaticDiffForm;

implementation

{$R *.dfm}

uses uSEditorForm;

procedure TStaticDiffForm.FormShow(Sender: TObject);
var     Bitmap : TBitmap32;
begin
        Bitmap := StaticDiff.CreateMap;
        Image.Bitmap.Width := 384;
        Image.Bitmap.Height := 256;
        Image.Bitmap.Draw( 0, 0, Bitmap );
end;

procedure TStaticDiffForm.ImageMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer;
  Layer: TCustomLayer);
begin
        SEditorForm.ChangePos( X*16, Y*16 );
end;

end.
